Create a Verification request signer
Roles
Analytics Events
/v2/presentations/certificates/verifier-signersCreates a Verification request signer.
- Only available in implementations using unmanaged (external) Verifier root CA certificates.
- A maximum of five Verification request signers can be created per tenant.
Analytic events
- CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_CREATE_START
- CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_CREATE_SUCCESS
- CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
Internal identifier of the Verifier root CA certificate that will be used for signing the Verification request signer.
- Must be an unmanaged (external) Verifier root CA certificate.
uuidIndicates the source of the verifier root CA certificate. Set to external if the verifier root CA certificate is managed outside of MATTR (e.g., using your own PKI).
"external"Response Body
application/json
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/presentations/certificates/verifier-signers" \ -H "Content-Type: application/json" \ -d '{ "caId": "b0aae560-10e7-4247-8e96-7cdd3578a1e2" }'{
"id": "782f1885-c7c2-4459-8426-b6d7c111b0b1",
"csrPem": "-----BEGIN CERTIFICATE REQUEST-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE REQUEST-----",
"caId": "b0aae560-10e7-4247-8e96-7cdd3578a1e2",
"active": false,
"caType": "mattr"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete a verifier root CA certificate DELETE
Deletes an existing verifier root CA certificate. ### **Analytic events** * PRESENTATION_VERIFIER_CA_CERTIFICATE_DELETE_START * PRESENTATION_VERIFIER_CA_CERTIFICATE_DELETE_SUCCESS * PRESENTATION_VERIFIER_CA_CERTIFICATE_DELETE_FAIL
Retrieve all Verification request signers GET
Retrieves all Verification request signers. ### **Analytic events** * CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_LIST_START * CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_LIST_SUCCESS * CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_RETRIEVE_LIST_FAIL